import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;

public class AddOnChart extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			AddOnChart chart = new AddOnChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doAddOnChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doAddOnChart(this));
	}

	Component doAddOnChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart primaryChart = new QbChart(parent, // container 
				"AddOnChart1.cht"); // template

		// Open other two templates
		QbChart chart2 = new QbChart(parent, "AddOnChart2.cht");
		QbChart chart3 = new QbChart(parent, "AddOnChart3.cht");

		primaryChart.setAddOnChart(new QbChart[] { chart2, chart3 });

		// Show chart in Viewer
		return primaryChart;

	}
}
